> For the complete documentation index, see [llms.txt](https://docs.videsk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videsk.io/es-developers/sdks/intercambio-archivos/beamportfile.md).

# BeamPortFile

`BeamPortFile` es un tipo de constructor diseñado para crear una instancia de archivo personalizada al constructor nativo [`File`](https://developer.mozilla.org/en-US/docs/Web/API/File/File), que inicio con 0 bytes pero puede mutar su buffer durante el tiempo.

## Propiedades

### `filename`

Esta propiedad corresponde al nombre del archivo, incluye extensión.

### `crc32`

Esta propiedad corresponde a la integridad de un archivo como cálculo de un número de 4 bytes.

### `size`

Esta propiedad entrega el valor del archivo en bytes.

### `mimeType`

Esta propiedad indica el [tipo MIME](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) del archivo.

### `data`

Esta propiedad es un `Array` de `ArrayBuffer`, es decir, el listado de chunks como buffer.

### `buffered`

Esta propiedad indica la cantidad de datos añadidos en buffer mientras se reciben los chunks.

### `percentage`

Esta propiedad indica el porcentaje del archivo en buffer, de 0 a 100, durante la recepción usando el método [`add`](#add). Esta propiedad se basa en [`buffered`](#buffered).

## Métodos

### `add`

Este método permite añadir chunks de `ArrayBuffer` al buffer.

```javascript
beamPortFile.add(chunk);
```

### `arrayBuffer`

Este método asíncrono permite convertir el archivo a un `ArrayBuffer` como valor de salida.

```javascript
await beamPortFile.arrayBuffer();
```

### `blob`

Este método permite convertir el archivo en un `Blob` como valor de salida.

```javascript
beamPortFile.blob();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.videsk.io/es-developers/sdks/intercambio-archivos/beamportfile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
